# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'setfu/version'

Gem::Specification.new do |spec|
  spec.name          = "setfu"
  spec.version       = Setfu::VERSION
  spec.authors       = ["Bryan Colvin"]
  spec.email         = ["bryan@bdlsys.com"]
  spec.description   = %q{
Creates a Set class with methods that allow you to construct and opperate on
set instances. A 'Bignum' instance is used internally to store each element
of the set. This allows very fast operations when comparing two set instances.
Member elements can be represented as positive small integers, or characters.
Sets can be constructed with integers, strings, characters, ranges, and arrays.
When characters are used, the ordinate value sets the element bit of the internal Bignum.}
  spec.summary       = %q{Set class}
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]
  spec.required_ruby_version = '>= 1.9.1'
  spec.add_runtime_dependency 'pred', '~> 0.1', '>= 0.1.2'  
  spec.add_runtime_dependency 'betterobject', '~> 1.2', '>= 1.2.0'
  spec.add_runtime_dependency 'yieldhelper', '~> 0.1', '>= 0.1.0'
  spec.add_runtime_dependency 'primitive_wrapper', '~> 2', '>= 2.3.0'

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency 'rake', '~> 10.1', '>= 10.1.0'
  spec.add_development_dependency 'rspec', '~> 3.3', '>= 3.3.0'
  spec.add_development_dependency 'byebug', '~> 5.0', '>= 5.0.0'
end
